Post by Jansuh » Fri Feb 09, 2024 9:33 pm

Hi there, I am currently running Opencart version 2.3.0.2 on PHP 7.4.33.

Today i have gotten a email from my provider that they will upgrade the server to php 8.1
I am afraid i have to upgrade to a newer opencart version.

Wich one should i upgrade to? A 3x version or straight to 4x? Any thoughts are appreciated.

New member

Posts

Joined
Fri Apr 20, 2018 8:13 pm


Post by EvolveWebHosting » Fri Feb 09, 2024 9:46 pm


2 Week FREE Trial of our Shared Hosting plans (DIrectAdmin or cPanel) for new customers
2 Week FREE Trial of Astra Firewall and Malware Scanner
Visit our website for full details and to start your trial today - www.evolvewebhost.com


User avatar
Active Member

Posts

Joined
Fri Mar 27, 2015 11:13 pm
Location - Denver, Colorado, USA

Post by Cue4cheap » Fri Feb 09, 2024 9:48 pm

Jansuh wrote:
Fri Feb 09, 2024 9:33 pm
Hi there, I am currently running Opencart version 2.3.0.2 on PHP 7.4.33.

Today i have gotten a email from my provider that they will upgrade the server to php 8.1
I am afraid i have to upgrade to a newer opencart version.

Wich one should i upgrade to? A 3x version or straight to 4x? Any thoughts are appreciated.
OC 3.0.3.9.
viewtopic.php?t=232256

Also a lot of discussion about this topic. A LOT of people still suggest you don't go to 4.x yet, Including me.
The 3 series is stable and has a lot of extensions that work and work well.

Mike

cue4cheap not cheap quality


Active Member

Posts

Joined
Fri Sep 20, 2013 4:45 am

Post by OSWorX » Fri Feb 09, 2024 10:09 pm

Jansuh wrote:
Fri Feb 09, 2024 9:33 pm
Hi there, I am currently running Opencart version 2.3.0.2 on PHP 7.4.33.

Today i have gotten a email from my provider that they will upgrade the server to php 8.1
I am afraid i have to upgrade to a newer opencart version.

Wich one should i upgrade to? A 3x version or straight to 4x? Any thoughts are appreciated.
Well, things are going on slowly .. but the go on!
Good that your provider eleminates php 7.x !
Not so good that the not offer php 8.2.x > would the better choice (or if they have, use this version!).

But - and this may be good news- you can still stay on 2.3.0.2 - there is a php 8.x ready version.
Staying on this version, you do NOT need to update every template AND extension.

What you have todo when you update to 3.0.3.9 (better say, install that you install it in a new folder, leave the running store intact and move/merge the data afterwards to the new installation), is you have either to update the template (if you want to use that further), or buy a new one AND either update your used extensions OR buy new versions of them.

OC 4.x ist still NOT stable enough - something only for enthusiasts and devs .. maybe in a few weeks (or months).

Full Stack Web Developer :: Dedicated OpenCart Development & Support DACH Region
Contact for Custom Work / Fast Support.


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by Jansuh » Fri Feb 09, 2024 11:54 pm

OSWorX wrote:
Fri Feb 09, 2024 10:09 pm


But - and this may be good news- you can still stay on 2.3.0.2 - there is a php 8.x ready version.
Staying on this version, you do NOT need to update every template AND extension.

I am interested to read/learn more about this. Is it stable? Will my extensions keep working? How do i upgrade? etc.

Thanks in advance.

New member

Posts

Joined
Fri Apr 20, 2018 8:13 pm


Post by OSWorX » Sat Feb 10, 2024 3:54 pm

See here: https://github.com/condor2/Opencart_23xx
I am quite satisfied with that work, but have to say that it can happen that some OCMods (and eventually VQMods) are not fully working!

Best to install it in a new folder (should be done always when someone wants to update) and test with former used extensions.
If one make troubles, it willbe solved quickly (eventuall needs only a new/reworked trigger point).

Full Stack Web Developer :: Dedicated OpenCart Development & Support DACH Region
Contact for Custom Work / Fast Support.


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by Jansuh » Sat Feb 17, 2024 10:44 pm

Thanks for all the input. I have given it some thought and have decided to migrate to 3.x . Set it up on a local server and test all my mods one by one. Then test migrate my customers and products and what else i can migrate (blog and information pages) and then go live on my hosting provider.

Wish me luck

New member

Posts

Joined
Fri Apr 20, 2018 8:13 pm


Post by johnp » Thu Feb 22, 2024 6:31 pm

Jansuh wrote:
Sat Feb 17, 2024 10:44 pm
Thanks for all the input. I have given it some thought and have decided to migrate to 3.x . Set it up on a local server and test all my mods one by one. Then test migrate my customers and products and what else i can migrate (blog and information pages) and then go live on my hosting provider.

Wish me luck
Best of luck. :)

Opencart 1.5.6.5/OC Bootstrap Pro/VQMOD lover, user and geek.
Affordable Service £££ - Opencart Installs, Fixing, Development and Upgrades
Plus Ecommerce, Marketing, Mailing List Management and More
FREE Guidance and Advice at https://www.ecommerce-help.co.uk


User avatar
Active Member

Posts

Joined
Fri Mar 25, 2011 10:25 am
Location - Surrey, UK
Who is online

Users browsing this forum: No registered users and 3 guests